import { defineComponent, useCssVars, unref, computed, openBlock, createElementBlock, Fragment, createElementVNode, toDisplayString, createTextVNode, ref, normalizeClass, createCommentVNode } from 'vue';

const _hoisted_1$2 = {
  class: "label"
};

const _hoisted_2$1 = /*#__PURE__*/createElementVNode("b", null, [/*#__PURE__*/createTextVNode("props.color: "), /*#__PURE__*/createElementVNode("br")], -1);

const _hoisted_3$1 = ["value"];
const _hoisted_4 = {
  class: "label"
};
var script$2 = /*#__PURE__*/defineComponent({
  props: {
    text: null,
    color: {
      default: '#000'
    }
  },
  emits: ["update:color"],

  setup(__props, _ref) {
    let {
      emit
    } = _ref;
    const props = __props;

    useCssVars(_ctx => ({
      "07872ed5": unref(colorC)
    }));

    const colorC = computed(() => props.color ?? '#000');

    function changeColor(event) {
      if (event.target) {
        emit('update:color', event.target.value);
      }
    }

    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [createElementVNode("span", _hoisted_1$2, toDisplayString(props.text), 1), createElementVNode("p", null, [_hoisted_2$1, createElementVNode("input", {
        type: "color",
        value: props.color,
        onChange: changeColor
      }, null, 40, _hoisted_3$1), createElementVNode("span", _hoisted_4, toDisplayString(props.color), 1)])], 64);
    };
  }

});

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z$1 = ".label {\n  --label-color: var(--07872ed5);\n  color: var(--label-color);\n}";
styleInject(css_248z$1);

const _hoisted_1$1 = {
  class: "input-text"
};
const _hoisted_2 = ["for"];
const _hoisted_3 = ["id", "name", "value", "placeholder", "autocomplete", "disabled"];
var script$1 = /*#__PURE__*/defineComponent({
  props: {
    label: {
      default: 'Label text'
    },
    name: {
      default: ''
    },
    modelValue: {
      default: ''
    },
    placeholder: {
      default: undefined
    },
    labelHidden: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    autocomplete: {
      type: Boolean,
      default: true
    }
  },
  emits: ['update:modelValue'],

  setup(__props, _ref) {
    let {
      emit
    } = _ref;
    const props = __props;
    const autocompleteComp = ref(props.autocomplete ? 'on' : 'off');

    function onChangeInput(event) {
      const target = event.target;
      emit('update:modelValue', target.value);
    }

    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1$1, [props.label ? (openBlock(), createElementBlock("label", {
        key: 0,
        class: normalizeClass(["input-text__label", [{
          'sr-only': props.labelHidden
        }]]),
        for: props.name
      }, toDisplayString(props.label), 11, _hoisted_2)) : createCommentVNode("", true), createElementVNode("input", {
        class: "input-text__field",
        type: "text",
        id: props.name,
        name: props.name,
        value: props.modelValue,
        placeholder: props.placeholder,
        autocomplete: autocompleteComp.value,
        disabled: props.disabled,
        onInput: onChangeInput
      }, null, 40, _hoisted_3), createElementVNode("p", null, toDisplayString(props.modelValue), 1)]);
    };
  }

});

const _hoisted_1 = ["xlink:href"];
var script = /*#__PURE__*/defineComponent({
  props: {
    name: null,
    description: null,
    size: {
      default: 'md'
    },
    width: null,
    height: null
  },

  setup(__props) {
    const props = __props;

    useCssVars(_ctx => ({
      "c4035de0": unref(widthC),
      "01bb8889": unref(heightC)
    }));

    const sizeC = computed(() => props.height && props.width ? 'custom' : props.size);
    const widthC = computed(() => props.width ?? '24px');
    const heightC = computed(() => props.height ?? '24px');
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("svg", {
        class: normalizeClass(["icon", ['icon--size-' + unref(sizeC)]])
      }, [createElementVNode("desc", null, toDisplayString(__props.description ? __props.description : __props.name), 1), createElementVNode("use", {
        "xlink:href": '#' + __props.name
      }, null, 8, _hoisted_1)], 2);
    };
  }

});

var css_248z = ".icon {\n  --icon-gutter: var(--global-gutter, 0.25rem);\n  color: currentColor;\n  flex-shrink: 0;\n  height: var(--icon-size, 24px);\n  width: var(--icon-size, 24px);\n}\n.icon--size-xs {\n  --icon-size: calc(var(--icon-gutter) * 3);\n}\n.icon--size-xs {\n  --icon-size: calc(var(--icon-gutter) * 3);\n}\n.icon--size-sm {\n  --icon-size: calc(var(--icon-gutter) * 4);\n}\n.icon--size-md {\n  --icon-size: calc(var(--icon-gutter) * 6);\n}\n.icon--size-lg {\n  --icon-size: calc(var(--icon-gutter) * 9);\n}\n.icon--size-xl {\n  --icon-size: calc(var(--icon-gutter) * 12);\n}\n.icon--size-custom {\n  height: var(--c4035de0);\n  width: var(--01bb8889);\n}";
styleInject(css_248z);

/* eslint-disable import/prefer-default-export */

var components = /*#__PURE__*/Object.freeze({
  __proto__: null,
  UILabel: script$2,
  UIInputText: script$1,
  UIIcon: script
});

// Import vue components

const install = function installVueComponentsUi(app) {
  Object.entries(components).forEach(_ref => {
    let [componentName, component] = _ref;
    app.component(componentName, component);
  });
}; // Create module definition for Vue.use()

export { script as UIIcon, script$1 as UIInputText, script$2 as UILabel, install as default };
